Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class EntityBeanDeserializer.BeanPropertyTarget

    java.lang.Object
      org.jboss.net.axis.server.EntityBeanDeserializer.BeanPropertyTarget

All Implemented Interfaces:
  org.apache.axis.encoding.Target

Enclosing class:
  EntityBeanDeserializer

public class EntityBeanDeserializer.BeanPropertyTarget
extends Object
implements org.apache.axis.encoding.Target

Class which knows how to update a bean property

Constructor Summary
`EntityBeanDeserializer.BeanPropertyTarget(org.jboss.net.axis.server.EntityBeanDeserializer.BeanPropertyDescriptor pd)` This constructor is used for a normal property.
`EntityBeanDeserializer.BeanPropertyTarget(org.jboss.net.axis.server.EntityBeanDeserializer.BeanPropertyDescriptor pd, int i)` This constructor is used for an indexed property.

Method Summary
`void` | `set(Object value)`
`void` | `setReal(Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBeanDeserializer.BeanPropertyTarget

    public EntityBeanDeserializer.BeanPropertyTarget(org.jboss.net.axis.server.EntityBeanDeserializer.BeanPropertyDescriptor pd)

  This constructor is used for a normal property.

Parameters:
  `pd` - is the property

### EntityBeanDeserializer.BeanPropertyTarget

    public EntityBeanDeserializer.BeanPropertyTarget(org.jboss.net.axis.server.EntityBeanDeserializer.BeanPropertyDescriptor pd,
                                                     int i)

  This constructor is used for an indexed property.

Parameters:
  `pd` - is the property
  `i` - is the index

Method Detail

### set

    public void set(Object value)
             throws SAXException

  Specified by:
    `set` in interface `org.apache.axis.encoding.Target`
  Throws:
    `SAXException`

### setReal

    public void setReal(Object target)
                 throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.